Subject: RE: Address Message in LDP

From: Shahram Davari <[email-masked]>
Date: Wed, 7 Jun 2000 11:15:28 -0700

James,

For non-directly connected LSRs, per-platform label space should be used.

-Shahram

>-----Original Message-----
>From: James R. Leu [mailto:[email-masked]]
>Sent: Wednesday, June 07, 2000 2:14 PM
>To: Bob Thomas
>Cc: [email-masked]
>Subject: Re: Address Message in LDP
>
>
>On Wed, Jun 07, 2000 at 11:33:26AM -0400, Bob Thomas wrote:
>
><snip>
>
>> I think you are making this more complicated that it need be.
>>
>> The purpose of the Address Message is to make it possible for an LSR
>> to establish a mapping between the first 4 octets of a peer's LDP Id
>> and addresses bound to the peer.
>> 
>> This mapping is useful in determining whether the peer is the next
>> hop for a particular prefix.
>
>I understand your second statement (the first about me making it more
>complicated then it need be is always true :-).  With respect 
>to the third
>statement, are you saying that this mapping is or is not the 
>ONLY way to
>figure out if a peer is the next hop for a particular prefix?
>
>My goal is to get an answer about "non-Directly Connected LSRs" and
>how they guarantee that they are distributing labels and 
>installing them
>on the correct interfaces.
>
>The way to get the above answer may involve or mimic the way 
>we deal with
>mappings over parallel links between two directly connected LDP peers.
>
>If I have LDP sessions over parallel links and a particular prefix is
>preferred over only one link, the peer closer to egress may 
>provide mappings for
>this prefix via both sessions.  If I use the address list as 
>my definitive
>source for which session is the next hop, both sessions will match.
>
>What other information do we use in this case to decide whether or not
>a particular session is ACTUALLY the next hop for a particular prefix?
>
>Jim
>-- 
>James R. Leu
>